--- old/usr/src/uts/common/os/sunddi.c	2015-05-08 18:10:30.296018950 -0400
+++ new/usr/src/uts/common/os/sunddi.c	2015-05-08 18:10:30.303384653 -0400
@@ -8368,8 +8368,8 @@
 	 * locked) to be allowed for LONGTERM.
 	 */
 	if (flags & DDI_UMEMLOCK_LONGTERM) {
-		extern  struct seg_ops segspt_shmops;
-		extern	struct seg_ops segdev_ops;
+		extern const struct seg_ops segspt_shmops;
+		extern const struct seg_ops segdev_ops;
 		AS_LOCK_ENTER(as, &as->a_lock, RW_READER);
 		for (seg = as_segat(as, addr); ; seg = AS_SEGNEXT(as, seg)) {
 			if (seg == NULL || seg->s_base > addr + len)
@@ -8378,9 +8378,9 @@
 				continue;
 			if (((seg->s_ops != &segvn_ops) &&
 			    (seg->s_ops != &segspt_shmops)) ||
-			    ((SEGOP_GETVP(seg, addr, &vp) == 0 &&
+			    ((segop_getvp(seg, addr, &vp) == 0 &&
 			    vp != NULL && vp->v_type == VREG) &&
-			    (SEGOP_GETTYPE(seg, addr) & MAP_SHARED))) {
+			    (segop_gettype(seg, addr) & MAP_SHARED))) {
 				as_pageunlock(as, p->pparray,
 				    addr, len, p->s_flags);
 				AS_LOCK_EXIT(as, &as->a_lock);
